# List all brands

## List all brands for a given workspace.

> List all brands for a given workspace. The list can be filtered by brand status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.<br>

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR Brands","name":"number_brands"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"description":"Limits the number of results to return per page. The default value is 10 and maximum is 99. If the nextPageToken is defined on response, you can use it to get remaining numbers. To know more, refer to the pagination section.\n","in":"query","name":"limit","schema":{"default":10,"maximum":99,"minimum":1,"type":"integer"}},"queryCursor":{"description":"Pagination token that keeps of track of the current position in the list. Use it to query remaining results. If not provided, the first page is returned. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.","in":"query","name":"pageToken","schema":{"maxLength":8000,"type":"string"}},"queryDirection":{"description":"Order in which to retrieve the results. By default, the orders are in ascending order date. To get the results in descending order, set this parameter to true.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.","type":"string"}},"type":"object"},"WorkspaceTCRBrand":{"type":"object","additionalProperties":false,"required":["country","displayName","email","entityType","phone","street","city","state","postalCode","companyName","ein","einIssuingCountry","website"],"properties":{"id":{"type":"string","description":"The ID of the number.","format":"uuid"},"tcrBrandId":{"type":"string","description":"The Campaign Registry brand ID."},"organizationId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","description":"Timestamp (UTC) when the brand was created.","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp (UTC) when the brand was last updated.","nullable":true,"format":"date-time"},"status":{"$ref":"#/components/schemas/BrandStatus"},"authPlusStatus":{"$ref":"#/components/schemas/BrandAuthPlusStatus"},"entityType":{"$ref":"#/components/schemas/BrandEntityType"},"firstName":{"maxLength":100,"type":"string","description":"First or given name. Applicable to entity type."},"lastName":{"maxLength":100,"type":"string","description":"Last or Surname. Applicable to entity type."},"displayName":{"maxLength":255,"type":"string","description":"Display or marketing name your brand."},"companyName":{"maxLength":255,"type":"string","description":"Legal company name. This should match the legal company name used to register your EIN/Tax ID."},"ein":{"maxLength":21,"type":"string","description":"Government assigned corporate tax ID. EIN is 9-digits in the U.S."},"einIssuingCountry":{"maxLength":2,"type":"string","description":"The 2 letter ISO country of registration submitted with your EIN / Tax ID registration."},"phone":{"maxLength":20,"type":"string","description":"Valid phone number in e.164 international format."},"street":{"maxLength":100,"type":"string","description":"Street number and name."},"city":{"maxLength":100,"type":"string","description":"City name"},"state":{"maxLength":20,"type":"string","description":"State. Must be a 2 letter state code for US states."},"postalCode":{"maxLength":10,"type":"string","description":"Postal code. Must be a 5 digit zip code for the United States."},"country":{"maxLength":2,"type":"string","description":"ISO 2 character country code."},"email":{"maxLength":100,"type":"string","description":"Valid email address of brand support contact."},"stockSymbol":{"maxLength":10,"type":"string","description":"Stock symbol."},"stockExchange":{"$ref":"#/components/schemas/BrandStockExchange"},"website":{"maxLength":100,"type":"string","description":"Brand website URL."},"vertical":{"maxLength":50,"type":"string","description":"Vertical or industry segment of the brand."},"altBusinessId":{"maxLength":50,"type":"string","description":"Alternate business identifier."},"altBusinessIdType":{"$ref":"#/components/schemas/BrandAltBusinessIdType"},"businessContactEmail":{"description":"Business contact email.","oneOf":[{"type":"string","format":"email"},{"type":"string","minLength":0,"maxLength":0}]},"businessContactEmailVerifiedDate":{"type":"string","description":"Timestamp (UTC) when the brand businessContactEmail was verified.","format":"date-time"},"rejection":{"type":"object","description":"Rejection details","required":["description"],"properties":{"description":{"type":"string","description":"Rejection description"},"code":{"type":"string","description":"Rejection code"}}}}},"BrandStatus":{"type":"string","description":"Brand status","enum":["FAILED","PENDING","REJECTED","APPROVED","DELETED","DRAFT"]},"BrandAuthPlusStatus":{"type":"string","description":"Brand Auth+ status","enum":["NOT_APPLICABLE","NEEDS_CHARGE","NEEDS_TRIGGER","DONE"]},"BrandEntityType":{"type":"string","description":"Legal entity type. It can't be updated when the brand is approved.","enum":["PRIVATE_PROFIT","PUBLIC_PROFIT","NON_PROFIT","GOVERNMENT",""]},"BrandStockExchange":{"type":"string","description":"Stock exchange. Required for entityType PUBLIC.","enum":["NONE","NASDAQ","NYSE","AMEX","AMX","ASX","B3","BME","BSE","FRA","ICEX","JPX","JSE","KRX","LON","NSE","OMX","SEHK","SGX","SSE","STO","SWX","SZSE","TSX","TWSE","VSE","OTHER",""]},"BrandAltBusinessIdType":{"type":"string","description":"Alternate business identifier type. Required if altBusinessId is provided.","enum":["NONE","DUNS","GIIN","LEI",""]}}},"paths":{"/workspaces/{workspaceId}/tcr-brands":{"get":{"description":"List all brands for a given workspace. The list can be filtered by brand status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.\n","operationId":"listWorkspaceBrands","parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"},{"$ref":"#/components/parameters/queryDirection"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/pagination"},{"properties":{"results":{"items":{"$ref":"#/components/schemas/WorkspaceTCRBrand"},"type":"array"}},"required":["results"],"type":"object"}]}}},"description":"OK"}},"summary":"List all brands for a given workspace.","tags":["number_brands"]}}}}
```

| Type                                                                                       | Description                                      |
| ------------------------------------------------------------------------------------------ | ------------------------------------------------ |
| array<[BrandReponse](/api/numbers-api/api-reference/10dlc-compliance/brands-workspace.md)> | BrandResponse object describes a submitted brand |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/brands-workspace/list-all-brands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
